<?
// array of avaliable languages
$languages = array(
	'Norsk' => 'no_NO',
	'English' => 'en_EN'
);

// resource table
$messages = array(
	'no_NO' => array(
	  'title' => 'Deltagerlister',
	  'alternativeDbName' => 'Deltagerliste',
	  'availableLists' => 'Tilgjengelige lister',
	  'firstPageIntro' => '<p>Velg &oslash;nsket liste og skriv ut f&oslash;r du drar for &aring; arrangere l&oslash;p.<br />F&oslash;r opp endringer i Notat-feltet og lever sammen med Mini TimeRecorder.</p>Sist oppdaterte database ligger &oslash;verst i tabellen nedenfor.</p>',
	  'dateHeader' => 'Dato',
	  'commentHeader' => 'Kommentar',
	  'numEntriesHeader' => 'Ant delt',
	  'entryListHeader' => 'Deltagerliste',
	  'downloadDbHeader' => 'Database',
	  'showListLink' => 'Vis liste',
	  'showDownloadLink' => 'Last ned',
	  'preface' => 'Arrang&oslash;r: ____________________________________________<br/><br/>Arrangement: _________________________________________<br/><br/>Kryss av deltakende l&oslash;pere i P-feltet<br/>F&oslash;r opp nye p&aring; eget ark.<br/><br/>F&oslash;r opp alle avvik i Notat-feltet<br/>Avvik er eksempelvis:<br/><ul><li>Brikkeendring<li>Klassendring<li>Klubbendring<li>Manuell tid</ul>Noter ogs&aring; om endringer er permanent eller gjelder kun dette l&oslash;pet.<br/>Bruk baksiden av arket dersom det er for liten plass i Notat-feltet.',
	  'dontShowArrInstruction' => 'Ikke vis arrang&oslash;rinstruks',
	  'showArrInstruction' => 'Vis arrang&oslash;rinstruks',
	  'print' => 'Skriv ut',
	  'scriptBy' => 'Script av',
	  'dataFrom' => 'Data fra',
	  'tblIdHeader' => 'Id',
	  'tblEntryHeader' => 'P',
	  'tblNameHeader' => 'Navn',
	  'tblTeamHeader' => 'Klubb',
	  'tblClassHeader' => 'Klasse',
	  'tblEcardHeader' => 'Brikke',
	  'tblNoteHeader' => 'Notat',
	  'back' => 'Tilbake til oversikt',
	  'download' => 'Last ned nyeste versjon av dette scriptet (%s)'
	),
	'en_EN' => array(
	  'title' => 'Entry lists',
	  'alternativeDbName' => 'Entry list',
	  'availableLists' => 'Available lists',
	  'firstPageIntro' => '<p><b>NOT COMPLETLY TRANSLATED!!</b><br/>Velg &oslash;nsket liste og skriv ut f&oslash;r du drar for &aring; arrangere l&oslash;p.<br />F&oslash;r opp endringer i Notat-feltet og lever sammen med Mini TimeRecorder.</p>Sist oppdaterte database ligger &oslash;verst i tabellen nedenfor.</p>',
	  'dateHeader' => 'Date',
	  'commentHeader' => 'Comment',
	  'numEntriesHeader' => 'No entries',
	  'entryListHeader' => 'Entry list',
	  'downloadDbHeader' => 'Database',
	  'showListLink' => 'Show list',
	  'showDownloadLink' => 'Download',
	  'preface' => '<b>NOT COMPLETLY TRANSLATED!!</b><br/>Arrang&oslash;r: ____________________________________________<br/><br/>Arrangement: _________________________________________<br/><br/>Kryss av deltakende l&oslash;pere i P-feltet<br/>F&oslash;r opp nye p&aring; eget ark.<br/><br/>F&oslash;r opp alle avvik i Notat-feltet<br/>Avvik er eksempelvis:<br/><ul><li>Brikkeendring<li>Klassendring<li>Klubbendring<li>Manuell tid</ul>Noter ogs&aring; om endringer er permanent eller gjelder kun dette l&oslash;pet.<br/>Bruk baksiden av arket dersom det er for liten plass i Notat-feltet.',
	  'dontShowArrInstruction' => 'Don\'t show instruction',
	  'showArrInstruction' => 'Show instrction',
	  'back' => 'Back to database list',
	  'print' => 'Print',
	  'scriptBy' => 'Script by',
	  'dataFrom' => 'Data from',
	  'tblIdHeader' => 'Id',
	  'tblEntryHeader' => 'E',
	  'tblNameHeader' => 'Name',
	  'tblTeamHeader' => 'Team',
	  'tblClassHeader' => 'Class',
	  'tblEcardHeader' => 'Ecard',
	  'tblNoteHeader' => 'Note',
	  'download' => 'Download latest version of this script (%s)'
	)
);

function msg($s) {
  global $LANG;
  global $messages;

  if (isset($messages[$LANG][$s]))
    return $messages[$LANG][$s];
  else
    return "error: " . $s . " not found";
}
?>
